Subject: Re: FVWM: emacs, gnudoit, and vm

From: [email-masked] (Albrecht Kadlec)
Date: Mon, 5 Aug 96 11:20:59 +0200

>>>>> Barry D Benowitz writes:

B> I'm trying to make a button that will go to the page where I have an
B> emacs frame in which vm is running. I would like focus to be given to
B> that frame and then use gnudoit to send emacs a "vm-get-new-mail"
B> command.

B> I'm using a combination of windows commands and gnudoit, but it always
B> seems to try to happen in another emacs frame where vm is not running
B> so the "vm-get-new-mail" fails.

B> Does anyone have this or something similar running?

i use this (with rmail) to create a new frame with a FIXED title.
(if window-system		; default/new frame
       (defvar rmail-frame nil
	 "frame where mail should be displayed")

       (defadvice rmail (before rmail-use-rmail-frame
			  (&optional file-name-arg) preact act comp)
	 "goto rmail-frame, create new frame, if there is none"
	       (or (and rmail-frame
			(frame-live-p rmail-frame))
		   (setq rmail-frame (new-frame '((name . "Rmail")
					(menu-bar-lines . 1)
					(mini-buffer . t)
					(width . 82) (height . 60)
				        (left . -1) (top . 0) ))))
	       (select-frame rmail-frame)))

you can then use the window (frame) title to go to that window.

albrecht
-- 
I realise I hold the key to freedom,
  I cannot let my life be ruled by threads  -- Marillion
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].